Skip to content
Start here

GraphQL endpoint for event aggregation

POST/accounts/{account_id}/cloudforce-one/events/graphql

Execute GraphQL aggregations over threat events. Supports multi-dimensional group-bys, optional date range filtering, and multi-dataset aggregation.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One WriteCloudforce One Read
Path ParametersExpand Collapse
account_id: string

Account ID.

ReturnsExpand Collapse
data: optional unknown
errors: optional array of unknown

GraphQL endpoint for event aggregation

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/cloudforce-one/events/graphql \
    -X POST \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "data": {},
  "errors": [
    {}
  ]
}
Returns Examples
{
  "data": {},
  "errors": [
    {}
  ]
}